TransferMessage (common-messaging 1.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.common.messaging.messages

## Class TransferMessage

- java.lang.Object
- - org.gcube.common.core.monitoring.GCUBEMessage
  - - org.gcube.datatransfer.common.messaging.messages.TransferMessage

- All Implemented Interfaces:
    Serializable

      public class TransferMessage
      extends org.gcube.common.core.monitoring.GCUBEMessage

  Author:
    Andrea Manzi
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `dataTransferLabel` queue base

    - ### Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` creates the topic name for this message
    `String` | `getDestID()`
    `String` | `getMessageType()`
    `String` | `getSourceID()`
    `String` | `getTransferId()`
    `String` | `getTransferOutcome()`
    `String` | `getTransferPhase()`
    `String` | `getTransferType()`
    `void` | `setDestID(String destID)`
    `void` | `setMessageType(String messageType)`
    `void` | `setSourceID(String sourceID)`
    `void` | `setTransferId(String transferId)`
    `void` | `setTransferOutcome(String transferOutcome)`
    `void` | `setTransferPhase(String transferPhase)`
    `void` | `setTransferType(String transferType)`
    `String` | `toString()`

    - ### Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dataTransferLabel

          public static final String dataTransferLabel

      queue base
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransferMessage

          public TransferMessage()

  - ### Method Detail

    - #### createTopicName

          public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

      creates the topic name for this message
      Parameters:
        `scope` - the message scope

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMessageType

          public String getMessageType()

    - #### setMessageType

          public void setMessageType(String messageType)

    - #### getTransferType

          public String getTransferType()

    - #### setTransferType

          public void setTransferType(String transferType)

    - #### getTransferPhase

          public String getTransferPhase()

    - #### setTransferPhase

          public void setTransferPhase(String transferPhase)

    - #### getTransferOutcome

          public String getTransferOutcome()

    - #### setTransferOutcome

          public void setTransferOutcome(String transferOutcome)

    - #### getSourceID

          public String getSourceID()

    - #### setSourceID

          public void setSourceID(String sourceID)

    - #### getDestID

          public String getDestID()

    - #### setDestID

          public void setDestID(String destID)

    - #### getTransferId

          public String getTransferId()

    - #### setTransferId

          public void setTransferId(String transferId)

Copyright © 2018. All Rights Reserved.